# Method: locations.lodging.getGoogleUpdated

- [HTTP request](https://developers.google.com/my-business/reference/lodging/rest/v1/locations.lodging/getGoogleUpdated#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/lodging/rest/v1/locations.lodging/getGoogleUpdated#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/lodging/rest/v1/locations.lodging/getGoogleUpdated#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/lodging/rest/v1/locations.lodging/getGoogleUpdated#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/lodging/rest/v1/locations.lodging/getGoogleUpdated#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/lodging/rest/v1/locations.lodging/getGoogleUpdated#body.GetGoogleUpdatedLodgingResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/lodging/rest/v1/locations.lodging/getGoogleUpdated#body.aspect)

Returns the Google updated Lodging of a specific location.

### HTTP request

`GET https://mybusinesslodging.googleapis.com/v1/{name=locations/*/lodging}:getGoogleUpdated`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Google identifier for this location in the form: `locations/{locationId}/lodging` |

### Query parameters

| Parameters ||
|---|---|
| `readMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The specific fields to return. Use "\*" to include all fields. Repeated field items cannot be individually specified. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

Response message for LodgingService.GetGoogleUpdatedLodging

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lodging": { object (`https://developers.google.com/my-business/reference/lodging/rest/v1/Lodging`) }, "diffMask": string } ``` |

| Fields ||
|---|---|
| `lodging` | ``object (`https://developers.google.com/my-business/reference/lodging/rest/v1/Lodging`)`` Required. The Google updated Lodging. |
| `diffMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The fields in the Lodging that have been updated by Google. Repeated field items are not individually specified. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).